WordPress.org

Support

Support » Alpha/Beta » WP Beta-1 released

WP Beta-1 released

  • and this is the only place for feedback, discussion, praise and whatever. Please do not use other forums for any discussion on the beta. Posts about the beta elsewhere will be moved here.

    This is a BETA release.
    It is pre-release software, which means that you will run into bugs while using it. If you’re not comfortable using unfinished software, please wait until the final release before downloading it.

    [beta 1 removed]

    Beta-2 Download

Viewing 15 replies - 16 through 30 (of 54 total)
  • Everything seems to work fine so far! The addition of Akismet and WP Database Backup is a good plus, I was just going to cite them in a post about essential plugins for WP. This will save me some typing ;o)

    The only minor gripe is an error spit out when using the K2 Theme on top of every post:
    WordPress database error: [Unknown column 'user_level' in 'where clause']
    SELECT COUNT(*) FROM wp_almaren_users WHERE user_level > 1

    This must probably be corrected in K2, not in WP, so I’m going to cross-post this on their support forums.

    I’m going to test it out this week-end, and let you know if anything else comes out, but for now thank you for your great work!

    citizenk: AFAIK, if you run wp-admin/upgrade.php then that should fix your problems.

    Moderator Peter Westwood

    @westi

    PJW WordPress Version Check (loads but shows “failed”)

    Fixed! The Webservice didn’t recognise the new version string yet!

    I do need to update the CSS though as the text plonks itself over the top of the “Sign Out/ Profile” links!

    masquerade

    @masquerade

    Jark, no it shouldn’t, that table has been removed in 1.6 in favor of capabilities.

    Thanks westi, will grab it once you’re done, can’t live without it!

    sunburntkamel

    @sunburntkamel

    squible works for me, so that includes:

    wp_cats_as_tags(builtin)
    limit-post (builtin and modified)
    customizable-post-listings (builtin and modified)
    gravatars(builtin)
    Subscribe to comments
    Extended Live Archives
    Scrobbles

    Yes, jark – any plugin which relies on the user_level call is going to bork until it’s rewritten. The plugin may remain at least partially usable (for instance, Enhanced Post Lists will display posts by month but obviously not by author or category), but the error message will always be present.

    Kamigoroshi

    @kamigoroshi

    I seem to be getting an error on my admin dashboard.

    WordPress database error: [Unknown column 'user_idmode' in 'field list']
    SELECT user_idmode, user_nickname, user_login, user_firstname, user_lastname FROM wp_users WHERE ID = '1'

    So far I’ve checked the User and Options and updated them accordingly and I’m still having the problem. Any help here on it?

    Kamigoroshi

    @kamigoroshi

    Another bug so it would seem. For some reason, the expandable/movable bars in “Write” seems to have disappeared. It was there when I first loaded the page, when I checked back at it, it’s now gone. I’ve enabled and disabled the Rich Text Editor to see if that helps and it’s still gone. I’m using Firefox 1.5rc3 if that helps.

    Any clues?

    Joni

    @jonimueller

    I’ve set up a testbed site for WP 2.0 here:

    http://mytestbed.com/wordpress-beta/

    And am going through, favorite plugin by favorite plugin, to see what works and what doesn’t. I have a WPMU-driven site elsewhere and it’s interesting that some of the plugins that don’t work on WPMU so far seem fine here.

    Am having trouble with the WP 2.0 image uploader, though.

    I’m wondering if a “broken plugins” thread would be easier for authors and users to sift through than a generic “beta released thread”?

    Mr_Cynical

    @mr_cynical

    I don’t have a huge number of plugins installed, but I’ll test it out anyway (hey, what are site backups for? :P)

    geetarista

    @geetarista

    Kamigoroshi, I just did a refresh and that worked on mine. See if it works for you.

    I’m using an old test server and I get the following:

    Fatal error: Call to undefined function: glob() in c:\ibserver\www\wordpress\wp-includes\cache.php on line 225

    Could it be apache, php or mysql being too old? WP 1.5.2 works fine.

    Tnx,
    Loauc

    Please feel free to use the whole of the Beta forum 🙂

    There’s plenty of room and a good title for your post will help you and the devs.

Viewing 15 replies - 16 through 30 (of 54 total)
  • The topic ‘WP Beta-1 released’ is closed to new replies.
Skip to toolbar